BimpHelp

Specifications: Bimp API methods

Bimp API methods for the “Specifications” resource (/org2/specification/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/specification/api-readA request to obtain detailed information for a particular specification
POST /org2/specification/api-readList
POST /org2/specification/api-createA request to create a new specification
POST /org2/specification/api-updateA request to update the specification

api-read

POST /org2/specification/api-read

A request to obtain detailed information for a particular specification

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the Specification

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Specification
namestringSpecification name
commentstringAn optional text field for any additional notes or comments related to the document
costnumberA numerical value representing the cost of the product
nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
specificationGroupstring (uuid)UUID of the specification group
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
quantitynumberThe amount of items
compositionobject[]Specification materials / components
composition[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
composition[].quantitynumberThe amount of items
composition[].pricenumberThe price of the item/document
composition[].sumnumberThe sum of the document
composition[].costSharenumberCost share
composition[].netQuantitynumberNet quantity
composition[].lossnumberLoss percent. Must match ((quantity - netQuantity) / quantity) * 100 when both loss and netQuantity are provided
composition[].uniqueIdstringRow unique id of the composition line
composition[].relatesTostringuniqueId of the related production stage
composition[].nodeSpecificationstring (uuid) | null
composition[].analogWriteOffMethodnumberMethod of writing off analogs
composition[].rowNumbernumberRow number in the composition table
composition[].notUsedInProductionbooleanWhether the material is not used in production
composition[].analogsobject[]Analog nomenclatures for this composition line
composition[].analogs[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
composition[].analogs[].characteristicstring (uuid) | nullCharacteristic UUID of the analog nomenclature
composition[].analogs[].prioritynumberAnalog priority / order
composition[].analogs[].warehouseStocknumberAvailable stock of the analog on warehouses
archivedbooleanWhether the specification is archived
specificationTypenumberSpecification type code
costCalculationMethodnumberCost calculation method code
createdAtstring | nullSpecification creation date/time
useAsTemplatebooleanWhether the specification is used as a template
useOperationStagesbooleanWhether production stages and operations are used
versionstringSpecification version
useSemiFinishedProductsbooleanWhether semi-finished products are used
nomenclatureTypenumberNomenclature type code
operationsSumnumberTotal sum of production operations
plannedCostnumberPlanned cost of the specification
productionStagesobject[]Production stages of the specification
productionStages[].uniqueIdstringRow unique id of the production stage
productionStages[].stageobject | nullProduction stage catalog reference
productionStages[].prioritynumberStage priority / order
productionStages[].quantitynumberThe amount of items
productionStages[].executionTimenumberStage execution time
productionStages[].sumnumberThe sum of the document
productionStages[].semiFinishedProductobject | nullSemi-finished product linked to the stage
productionStages[].semiFinishedCharacteristicobject | nullCharacteristic of the semi-finished product
productionOperationsobject[]Production operations of the specification
productionOperations[].uniqueIdstringRow unique id of the production operation
productionOperations[].relatesTostringuniqueId of the related production stage
productionOperations[].technologicalOperationobject | nullTechnological operation catalog reference
productionOperations[].performerobject | nullA unique identifier for the Employee, obtainable from the /employee/api-readList
productionOperations[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionOperations[].executionTimenumberOperation execution time
productionOperations[].quantitynumberThe amount of items
productionOperations[].pricenumberThe price of the item/document
productionOperations[].sumnumberThe sum of the document
productionOperations[].catalogTypeobject | nullCatalog type of the technological operation
operationDependenciesobject[]Dependencies between production operations
operationDependencies[].uniqueIdstringuniqueId of the dependent production operation
operationDependencies[].relatesTostringuniqueId of the related preceding operation
operationDependencies[].previousOperationstringPrevious operation identifier
curl -X POST 'https://app.bimpsoft.com/org2/specification/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/specification/api-readList

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for the Specification
[].namestringSpecification name
[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
[].specificationGroupstring (uuid)UUID of the specification group
[].quantitynumberThe amount of items
[].archivedbooleanWhether the specification is archived
[].specificationTypenumberSpecification type code
[].costCalculationMethodnumberCost calculation method code
[].createdAtstring | nullSpecification creation date/time
[].useAsTemplatebooleanWhether the specification is used as a template
[].useOperationStagesbooleanWhether production stages and operations are used
[].versionstringSpecification version
[].useSemiFinishedProductsbooleanWhether semi-finished products are used
[].nomenclatureTypenumberNomenclature type code
[].operationsSumnumberTotal sum of production operations
[].plannedCostnumberPlanned cost of the specification
curl -X POST 'https://app.bimpsoft.com/org2/specification/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/specification/api-create

A request to create a new specification

Request body (JSON)

FieldTypeRequiredDescription
namestringyesSpecification name
nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
quantitynumberyesThe amount of items
currencystring (uuid)yesA unique identifier for the Currency, obtainable from the /currency/api-readList request
specificationGroupstring (uuid)UUID of the specification group
commentstringAn optional text field for any additional notes or comments related to the document
archivedbooleanWhether the specification is archived
specificationTypenumberSpecification type code
costCalculationMethodnumberCost calculation method code
useAsTemplatebooleanWhether the specification is used as a template
useOperationStagesbooleanWhether production stages and operations are used
versionstringSpecification version
useSemiFinishedProductsbooleanWhether semi-finished products are used
nomenclatureTypenumberNomenclature type code
operationsSumnumberTotal sum of production operations
plannedCostnumberPlanned cost of the specification
productionStagesobject[]Production stages of the specification
productionStages[].uniqueIdstringRow unique id of the production stage
productionStages[].stageobject | nullProduction stage catalog reference
productionStages[].prioritynumberStage priority / order
productionStages[].quantitynumberThe amount of items
productionStages[].executionTimenumberStage execution time
productionStages[].sumnumberThe sum of the document
productionStages[].semiFinishedProductobject | nullSemi-finished product linked to the stage
productionStages[].semiFinishedCharacteristicobject | nullCharacteristic of the semi-finished product
productionOperationsobject[]Production operations of the specification
productionOperations[].uniqueIdstringRow unique id of the production operation
productionOperations[].relatesTostringuniqueId of the related production stage
productionOperations[].technologicalOperationobject | nullTechnological operation catalog reference
productionOperations[].performerobject | nullA unique identifier for the Employee, obtainable from the /employee/api-readList
productionOperations[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionOperations[].executionTimenumberOperation execution time
productionOperations[].quantitynumberThe amount of items
productionOperations[].pricenumberThe price of the item/document
productionOperations[].sumnumberThe sum of the document
productionOperations[].catalogTypeobject | nullCatalog type of the technological operation
operationDependenciesobject[]Dependencies between production operations
operationDependencies[].uniqueIdstringuniqueId of the dependent production operation
operationDependencies[].relatesTostringuniqueId of the related preceding operation
operationDependencies[].previousOperationstringPrevious operation identifier
compositionobject[]
composition[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
composition[].quantitynumberyesThe amount of items
composition[].pricenumberyesThe price of the item/document
composition[].sumnumberThe sum of the document
composition[].costSharenumberCost share
composition[].netQuantitynumberNet quantity
composition[].lossnumberLoss percent. Must match ((quantity - netQuantity) / quantity) * 100 when both loss and netQuantity are provided
composition[].uniqueIdstringRow unique id of the composition line
composition[].relatesTostringuniqueId of the related production stage
composition[].nodeSpecificationstring (uuid) | null
composition[].analogWriteOffMethodnumberMethod of writing off analogs
composition[].rowNumbernumberRow number in the composition table
composition[].notUsedInProductionbooleanWhether the material is not used in production
composition[].analogsobject[]Analog nomenclatures for this composition line
composition[].analogs[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
composition[].analogs[].characteristicstring (uuid) | nullCharacteristic UUID of the analog nomenclature
composition[].analogs[].prioritynumberAnalog priority / order
composition[].analogs[].warehouseStocknumberAvailable stock of the analog on warehouses

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Specification
curl -X POST 'https://app.bimpsoft.com/org2/specification/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"name":"string","nomenclature":"00000000-0000-0000-0000-000000000000","quantity":1,"currency":"00000000-0000-0000-0000-000000000000"}'

api-update

POST /org2/specification/api-update

A request to update the specification

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the Specification
specificationGroupstring (uuid)UUID of the specification group
commentstringAn optional text field for any additional notes or comments related to the document
namestringSpecification name
nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
quantitynumberThe amount of items
currencystring (uuid)A unique identifier for the Currency, obtainable from the /currency/api-readList request
archivedbooleanWhether the specification is archived
specificationTypenumberSpecification type code
costCalculationMethodnumberCost calculation method code
useAsTemplatebooleanWhether the specification is used as a template
useOperationStagesbooleanWhether production stages and operations are used
versionstringSpecification version
useSemiFinishedProductsbooleanWhether semi-finished products are used
nomenclatureTypenumberNomenclature type code
operationsSumnumberTotal sum of production operations
plannedCostnumberPlanned cost of the specification
productionStagesobject[]Production stages of the specification
productionStages[].uniqueIdstringRow unique id of the production stage
productionStages[].stageobject | nullProduction stage catalog reference
productionStages[].prioritynumberStage priority / order
productionStages[].quantitynumberThe amount of items
productionStages[].executionTimenumberStage execution time
productionStages[].sumnumberThe sum of the document
productionStages[].semiFinishedProductobject | nullSemi-finished product linked to the stage
productionStages[].semiFinishedCharacteristicobject | nullCharacteristic of the semi-finished product
productionOperationsobject[]Production operations of the specification
productionOperations[].uniqueIdstringRow unique id of the production operation
productionOperations[].relatesTostringuniqueId of the related production stage
productionOperations[].technologicalOperationobject | nullTechnological operation catalog reference
productionOperations[].performerobject | nullA unique identifier for the Employee, obtainable from the /employee/api-readList
productionOperations[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionOperations[].executionTimenumberOperation execution time
productionOperations[].quantitynumberThe amount of items
productionOperations[].pricenumberThe price of the item/document
productionOperations[].sumnumberThe sum of the document
productionOperations[].catalogTypeobject | nullCatalog type of the technological operation
operationDependenciesobject[]Dependencies between production operations
operationDependencies[].uniqueIdstringuniqueId of the dependent production operation
operationDependencies[].relatesTostringuniqueId of the related preceding operation
operationDependencies[].previousOperationstringPrevious operation identifier
compositionobject[]
composition[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
composition[].quantitynumberyesThe amount of items
composition[].pricenumberyesThe price of the item/document
composition[].sumnumberThe sum of the document
composition[].costSharenumberCost share
composition[].netQuantitynumberNet quantity
composition[].lossnumberLoss percent. Must match ((quantity - netQuantity) / quantity) * 100 when both loss and netQuantity are provided
composition[].uniqueIdstringRow unique id of the composition line
composition[].relatesTostringuniqueId of the related production stage
composition[].nodeSpecificationstring (uuid) | null
composition[].analogWriteOffMethodnumberMethod of writing off analogs
composition[].rowNumbernumberRow number in the composition table
composition[].notUsedInProductionbooleanWhether the material is not used in production
composition[].analogsobject[]Analog nomenclatures for this composition line
composition[].analogs[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
composition[].analogs[].characteristicstring (uuid) | nullCharacteristic UUID of the analog nomenclature
composition[].analogs[].prioritynumberAnalog priority / order
composition[].analogs[].warehouseStocknumberAvailable stock of the analog on warehouses

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Specification
curl -X POST 'https://app.bimpsoft.com/org2/specification/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.